{%- set config = {
  'core': {},
} | combine(manala_git_config|default({}, true)) -%}

[core]
    ; See: http://git.661346.n2.nabble.com/git-status-takes-30-seconds-on-Windows-7-Why-td7580816.html
    {{ config.core | manala.roles.git_config_parameter('preloadindex', default=true) | indent(4) }}
    ; See: https://news.ycombinator.com/item?id=11388479
    {{ config.core | manala.roles.git_config_parameter('untrackedCache', default=true) | indent(4) }}
    {{- config.core | manala.roles.git_config_section(exclude=[
      'preloadindex',
      'untrackedCache'
    ]) }}

{{ config | manala.roles.git_config(exclude=['core']) }}
